#!/bin/sh
RAM=380	# MegaByte
FD=""
CDROM=""
SDA=""
SDB=""
BOOT=""
MYPATH="$0"
[ -L "$MYPATH" ] && MYPATH=$(readlink "$MYPATH")
MYPATH=$(dirname "$MYPATH")
[ "$MYPATH" != "." ] && cd "$MYPATH"
if [ ! -c /dev/kqemu ] ;then
  if ! modprobe kqemu && [ -f /lib/modules/$(uname -r)/misc/kqemu.ko ] ; then
          depmod -a && modprobe kqemu
  fi
fi
[ "$FD" = "" ] && [ -f floppy.img ] && FD="-fda floppy.img"
[ "$CDROM" = "" ] && CDROM=$(ls -1 *.iso 2>/dev/null | tail -n 1)
[ -f "$CDROM" ] && CDROM="-cdrom $CDROM" && BOOT="-boot d"
if [ "$CDROM" = "" ] && [ -b /dev/cdrom ] ; then
  CDROM="-cdrom /dev/cdrom"
  CDDEV=$(readlink /dev/cdrom | cut -d'/' -f3)
  [ -d /root/.pup_event/drive_$CDDEV ] && BOOT="-boot d" 
fi
[ "$BOOT" = "" ] && [ "$FD" != "" ] && BOOT="-boot a"
[ "$SDA" = "" ] && SDA=$(ls -1 sda*.img 2>/dev/null | head -n 1)
[ "$SDB" = "" ] && SDB=$(ls -1 sdb*.img 2>/dev/null | head -n 1)
[ "$SDA" != "" ] && SDA="-hda $SDA"
[ "$SDB" != "" ] && SDB="-hdb $SDB"
#[ -c /dev/kqemu ] && KQEMU="-kernel-kqemu" || KQEMU="-no-kqemu"
echo qemu  -m $RAM  $SDA $SDB $FD $CDROM $BOOT
Xdialog --title "QemuPuppy" --left --msgbox "Remind:
Press 'Ctrl' + 'Alt' to leave from qemu!" 0 0
qemu  -m $RAM $SDA $SDB $FD $CDROM $BOOT